Skip to content
Start here

Variant details

client.images.v1.variants.get(stringvariantId, VariantGetParams { account_id } params, RequestOptionsoptions?): VariantGetResponse { variant }
GET/accounts/{account_id}/images/v1/variants/{variant_id}

Fetch details for a single variant.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Images ReadImages Write
ParametersExpand Collapse
variantId: string
maxLength99
params: VariantGetParams { account_id }
account_id: string

Account identifier tag.

maxLength32
ReturnsExpand Collapse
VariantGetResponse { variant }
variant?: Variant { id, options, neverRequireSignedURLs }
id: string
maxLength99
options: Options { fit, height, metadata, width }

Allows you to define image resizing sizes for different use cases.

fit: "scale-down" | "contain" | "cover" | 2 more

The fit property describes how the width and height dimensions should be interpreted.

One of the following:
"scale-down"
"contain"
"cover"
"crop"
"pad"
height: number

Maximum height in image pixels.

minimum1
metadata: "keep" | "copyright" | "none"

What EXIF data should be preserved in the output image.

One of the following:
"keep"
"copyright"
"none"
width: number

Maximum width in image pixels.

minimum1
neverRequireSignedURLs?: boolean

Indicates whether the variant can access an image without a signature, regardless of image access control.

Variant details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const variant = await client.images.v1.variants.get('hero', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(variant.variant);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "variant": {
      "id": "hero",
      "options": {
        "fit": "scale-down",
        "height": 768,
        "metadata": "none",
        "width": 1366
      },
      "neverRequireSignedURLs": true
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "variant": {
      "id": "hero",
      "options": {
        "fit": "scale-down",
        "height": 768,
        "metadata": "none",
        "width": 1366
      },
      "neverRequireSignedURLs": true
    }
  },
  "success": true
}